import java.awt.*;
import java.awt.event.*;

/**
  *
  * Beschreibung.
  *
  * @version 1.0 vom 08.11.2005
  * @author
  */

public class GUIAuto extends Frame {
  // Anfang Attribute
  private Label lAuto = new Label();
  private Label lKennzeichen = new Label();
  private Label lKilometerstand = new Label();
  private Label lTankanzeige = new Label();
  private TextField tfKennzeichen = new TextField();
  private TextField tfKilometerstand = new TextField();
  private TextField tfTankanzeige = new TextField();
  private Button bAnzeigen = new Button();
  private Button bTanken = new Button();
  private Button bFahren = new Button();
  
  private Auto dasAuto = new Auto("DA-HT 644", 70, 7.6);
  // Ende Attribute

  // Ende Atribute

  public GUIAuto(String title) {
    // Frame-Initialisierung
    super(title);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent evt) { System.exit(0); }
    });
    int frameWidth = 278;
    int frameHeight = 206;
    setSize(frameWidth, frameHeight);
    Panel cp = new Panel(null);
    add(cp);

    // Anfang Komponenten

    lAuto.setBounds(8, 8, 55, 20);
    lAuto.setFont (new Font("MS Sans Serif", Font.BOLD, 16));
    lAuto.setForeground(Color.BLACK);
    lAuto.setText("Auto");
    cp.add(lAuto);
    lKennzeichen.setBounds(16, 40, 94, 13);
    lKennzeichen.setText("Kennzeichen");
    cp.add(lKennzeichen);
    lKilometerstand.setBounds(16, 72, 93, 13);
    lKilometerstand.setText("Kilometerstand");
    cp.add(lKilometerstand);
    lTankanzeige.setBounds(16, 104, 94, 13);
    lTankanzeige.setText("Tankanzeige");
    cp.add(lTankanzeige);
    tfKennzeichen.setBounds(120, 40, 121, 21);
    tfKennzeichen.setText("");
    cp.add(tfKennzeichen);
    tfKilometerstand.setBounds(120, 72, 121, 21);
    tfKilometerstand.setText("");
    cp.add(tfKilometerstand);
    tfTankanzeige.setBounds(120, 104, 121, 21);
    tfTankanzeige.setText("");
    cp.add(tfTankanzeige);
    bAnzeigen.setBounds(8, 144, 75, 25);
    bAnzeigen.setLabel("Anzeigen");
    cp.add(bAnzeigen);
    bAnzeigen.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        bAnzeigenActionPerformed(evt);
      }
    });

    bTanken.setBounds(96, 144, 75, 25);
    bTanken.setLabel("Tanken");
    cp.add(bTanken);
    bTanken.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        bTankenActionPerformed(evt);
      }
    });

    bFahren.setBounds(184, 144, 75, 25);
    bFahren.setLabel("Fahren");
    cp.add(bFahren);
    bFahren.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        bFahrenActionPerformed(evt);
      }
    });

    // Ende Komponenten

    setVisible(true);
  }

  // Anfang Methoden
  public void AutoAnzeigen() {
    tfKennzeichen.setText(dasAuto.getKennzeichen());
    tfKilometerstand.setText("" + dasAuto.getKilometerstand());
    tfTankanzeige.setText("" + dasAuto.getTankinhalt());
  }
  
  public void bAnzeigenActionPerformed(ActionEvent evt) {
    AutoAnzeigen();
  }
  
  public void bTankenActionPerformed(ActionEvent evt) {
    dasAuto.tanken(30);
    AutoAnzeigen();
  }

  public void bFahrenActionPerformed(ActionEvent evt) {
    dasAuto.fahren(100);
    AutoAnzeigen();
  }
  // Ende Methoden

  public static void main(String[] args) {
    new GUIAuto("GUIAuto");
  }
}

