import java.awt.*;

public class AutoCanvas extends Canvas {

  // Anfang Attribute
  private Auto einAuto;
  private Image dasBild;
  // Ende Attribute

  public AutoCanvas(Auto einAuto, String Dateiname) {
    this.einAuto = einAuto;
    dasBild = Toolkit.getDefaultToolkit().getImage(Dateiname);
    MediaTracker mt = new MediaTracker(this);
    mt.addImage(dasBild, 0);
    try {
      mt.waitForAll();
    } catch (InterruptedException e) {
    }
  }

  // Anfang Methoden
  public void paint(Graphics g) {
    if (dasBild != null) {
      g.drawImage(dasBild, (int) einAuto.getKilometerstand(), 5, null);
    }
  }

  // Ende Methoden
}
