public class Fahrschueler {
  // Anfang Attribute
  private String Name;
  private int TheorieStunden;
  private int PraxisStunden;
  
  // die Assoziation
  private Auto dasAuto;
  // Ende Attribute
  
  public Fahrschueler(String Name) {
    this.Name = Name;
    TheorieStunden = 0;
    PraxisStunden = 0;
    dasAuto = null;
  }

  // Anfang Methoden
  public String getName() {
    return Name;
  }

  public int getTheorieStunden() {
    return TheorieStunden;
  }

  public int getPraxisStunden() {
    return PraxisStunden;
  }

  public Auto getAuto() {
    return dasAuto;
  }

  public void PraxisStunde() {
    PraxisStunden++;
  }

  public void TheorieStunde() {
    TheorieStunden++;
  }

  public boolean TheorieBestanden() {
    return (TheorieStunden >= 14);
  }

  public boolean PraxisBestanden() {
    return (TheorieStunden >= 14) && (PraxisStunden >= 12);
  }

  public boolean Einsteigen(Auto dasAuto) {
    if (TheorieBestanden() && PraxisBestanden() && (this.dasAuto == null)) {
      this.dasAuto = dasAuto;
      return true;
    } else
      return false;
  }

  public boolean Aussteigen() {
    if (dasAuto != null) {
      dasAuto = null;
      return true;
    } else
      return false;
  }

  // Ende Methoden
}
